RDKit: RDDepict::ConstrainedDepictionParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
RDDepict::ConstrainedDepictionParams Struct Reference

`#include <RDDepictor.h>`

## Public Attributes
bool | acceptFailure = false
bool | forceRDKit = false
bool | allowRGroups = false
bool | alignOnly = false
bool | adjustMolBlockWedging = true
int | existingConfId = -1
bool | useRingTemplates = false

## Detailed Description

Definition at line 211 of file RDDepictor.h.

## Member Data Documentation

## ◆ acceptFailure

bool RDDepict::ConstrainedDepictionParams::acceptFailure = false

if false (default), a DepictException is thrown if the molecule does not have a substructure match to the reference; if true, an unconstrained depiction will be generated

Definition at line 215 of file RDDepictor.h.

## ◆ adjustMolBlockWedging

bool RDDepict::ConstrainedDepictionParams::adjustMolBlockWedging = true

if true (default), existing wedging information will be updated or cleared as required; if false (default), existing molblock wedging information will always be preserved

Definition at line 233 of file RDDepictor.h.

## ◆ alignOnly

bool RDDepict::ConstrainedDepictionParams::alignOnly = false

if false (default), a part of the molecule is hard-constrained to have the same coordinates as the reference, and the rest of from conformation existingConfId are preserved (if they exist) or generated without constraints (if they do not exist), then the conformation is rigid-body aligned to the reference

Definition at line 229 of file RDDepictor.h.

## ◆ allowRGroups

bool RDDepict::ConstrainedDepictionParams::allowRGroups = false

if true, terminal dummy atoms in the reference are ignored if they match an implicit hydrogen in the molecule or if they are attached to a query atom; defaults to false

Definition at line 222 of file RDDepictor.h.

## ◆ existingConfId

int RDDepict::ConstrainedDepictionParams::existingConfId = -1

conformation id whose 2D coordinates should be

- rigid-body aligned to the reference (if alignOnly is true)
- used to determine whether existing molblock wedging information can be preserved following the constrained depiction (if adjustMolBlockWedging is true)

Definition at line 239 of file RDDepictor.h.

## ◆ forceRDKit

bool RDDepict::ConstrainedDepictionParams::forceRDKit = false

if true, use RDKit to generate coordinates even if preferCoordGen is set to true; defaults to false

Definition at line 218 of file RDDepictor.h.

## ◆ useRingTemplates

bool RDDepict::ConstrainedDepictionParams::useRingTemplates = false

whether to use ring system templates for generating initial coordinates

Definition at line 240 of file RDDepictor.h.

The documentation for this struct was generated from the following file:

- RDDepictor.h